import { ComputeBooleanNode } from '@compute.ts/boolean';
import { ComputeDateNode } from '@compute.ts/date';
import { ComputeDictionaryNode } from '@compute.ts/dictionary';
import { ComputeNumberNode } from '@compute.ts/number';
import { ComputeStringNode } from '@compute.ts/string';
import { FunctionNoArry } from '../nodes/FunctionNoArry';
import { Take0ArgReturn } from './returns/Take0ArgReturn';
import { TakeBoolean } from './takes/take-1-arg/TakeBoolean';
import { TakeDate } from './takes/take-1-arg/TakeDate';
import { TakeDictionary } from './takes/take-1-arg/TakeDictionary';
import { TakeNumber } from './takes/take-1-arg/TakeNumber';
import { TakeString } from './takes/take-1-arg/TakeString';
export declare class ComputeFunction {
    get takeBoolean(): TakeBoolean;
    get takeNumber(): TakeNumber;
    get takeString(): TakeString;
    get takeDate(): TakeDate;
    get takeDictionary(): TakeDictionary;
    get returnBoolean(): Take0ArgReturn<FunctionNoArry<ComputeBooleanNode, boolean>, ComputeBooleanNode, boolean>;
    get returnNumber(): Take0ArgReturn<FunctionNoArry<ComputeNumberNode, number>, ComputeNumberNode, number>;
    get returnString(): Take0ArgReturn<FunctionNoArry<ComputeStringNode, string>, ComputeStringNode, string>;
    get returnDate(): Take0ArgReturn<FunctionNoArry<ComputeDateNode, Date>, ComputeDateNode, Date>;
    get returnDictionary(): Take0ArgReturn<FunctionNoArry<ComputeDictionaryNode, {}>, ComputeDictionaryNode, {}>;
}
