import { ComputeBooleanArrayNode, ComputeDateArrayNode, ComputeDictionaryArrayNode, ComputeNumberArrayNode, ComputeStringArrayNode } from '@compute.ts/array';
import { ComputeBooleanNode } from '@compute.ts/boolean';
import { ComputeApiNode } from '@compute.ts/core';
import { ComputeDateNode } from '@compute.ts/date';
import { ComputeDictionaryNode } from '@compute.ts/dictionary';
import { ComputeNumberNode } from '@compute.ts/number';
import { ComputeStringNode } from '@compute.ts/string';
import { FunctionUnary } from '../nodes/FunctionUnary';
import { Take1ArgReturn } from '../returns/Take1ArgReturn';
import { Take2Arg } from './Take2Arg';
export declare class Take1Arg<ARG_NODE_TYPE extends ComputeApiNode<ARG>, ARG> {
    private nodifier;
    constructor(nodifier: (args: (ARG_NODE_TYPE | ARG)[]) => ARG_NODE_TYPE[]);
    get takeBoolean(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeBooleanNode, boolean>;
    get takeNumber(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeNumberNode, number>;
    get takeString(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeStringNode, string>;
    get takeDate(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeDateNode, Date>;
    get takeDictionary(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeDictionaryNode, {}>;
    get takeBooleanArray(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeBooleanArrayNode, boolean[]>;
    get takeNumberArray(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeNumberArrayNode, number[]>;
    get takeStringArray(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeStringArrayNode, string[]>;
    get takeDateArray(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeDateArrayNode, Date[]>;
    get takeDictionaryArray(): Take2Arg<ARG_NODE_TYPE, ARG, ComputeDictionaryArrayNode, {}[]>;
    get returnBoolean(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeBooleanNode, boolean>, ComputeBooleanNode, boolean>;
    get returnNumber(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeNumberNode, number>, ComputeNumberNode, number>;
    get returnString(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeStringNode, string>, ComputeStringNode, string>;
    get returnDate(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeDateNode, Date>, ComputeDateNode, Date>;
    get returnDictionary(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeDictionaryNode, {}>, ComputeDictionaryNode, {}>;
    get returnBooleanArray(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeBooleanArrayNode, boolean[]>, ComputeBooleanArrayNode, boolean[]>;
    get returnNumberArray(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeNumberArrayNode, number[]>, ComputeNumberArrayNode, number[]>;
    get returnStringArray(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeStringArrayNode, string[]>, ComputeStringArrayNode, string[]>;
    get returnDateArray(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeDateArrayNode, Date[]>, ComputeDateArrayNode, Date[]>;
    get returnDictionaryArray(): Take1ArgReturn<ARG_NODE_TYPE, ARG, FunctionUnary<ARG_NODE_TYPE, ARG, ComputeDictionaryArrayNode, {}[]>, ComputeDictionaryArrayNode, {}[]>;
}
